Bug 1416488 - replication race condition prevents IPA to install
Summary: replication race condition prevents IPA to install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Pavel Picka
QA Contact: Kaleem
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1416454
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 15:39 UTC by Jaroslav Reznik
Modified: 2017-03-02 17:26 UTC (History)
9 users (show)

Fixed In Version: ipa-4.4.0-14.el7_3.6
Doc Type: Bug Fix
Doc Text:
When installing a replica, the web server service entry is created on the Identity Management (IdM) master and replicated to all IdM servers. Previously, when installing a replica without a certificate authority (CA), in certain situations the service entry was not replicated to the new replica on time, and the installation failed. The replica installer has been updated and now waits until the web server service entry is replicated. As a result, the replica installation no longer fails in the described situation.
Clone Of: 1416454
Environment:
Last Closed: 2017-03-02 17:26:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
evidence (16.09 KB, text/plain)
2017-02-06 10:41 UTC, Pavel Picka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0388 0 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2017-03-02 22:06:32 UTC

Description Jaroslav Reznik 2017-01-25 15:39:29 UTC
This bug has been copied from bug #1416454 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Petr Vobornik 2017-01-31 13:01:52 UTC
fixed upstream ipa-4-4:
    3d0a0728766aed7245427b9eaf210e31fd40e440 wait_for_entry: use only DN as parameter
    5bddcdb47b40baeae7379e00e8d87297ed3f1cd4 Wait until HTTPS principal entry is replicated to replica
    74020d07dbf14202f696a0c8521829abc735d4c7 Use proper logging for error messages

Comment 5 Kaleem 2017-02-01 08:25:48 UTC
QE needs steps to verify this.

Comment 10 Pavel Picka 2017-02-06 10:41:23 UTC
Created attachment 1248009 [details]
evidence

Verified on 4.4.0-14.el7_3.6.x86_64

Comment 12 errata-xmlrpc 2017-03-02 17:26:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0388.html


Note You need to log in before you can comment on or make changes to this bug.